Subject: Case-sensitivity switch for Query::equals() is not implemented
Description

Related issues:
blocks TYPO3.Flow - Bug # 44521: ObjectPathMappingRepository always checks ca... Resolved 2013-01-14

Associated revisions
Revision 61ae4455 - 2013-01-15 12:30 - Karsten Dambekalns

[BUGFIX] Implement case-sensitivity switch for Query::equals()

That was left as a todo and never done. Now it is possible to check
case-insensitive. Checking case-sensitive works depending on database
support, it can only be done if the database allows for case-sensitive
checking.

The change also trivially solves a todo about NULL checking in equals().

Change-Id: I50d3f31f8ad528d558febfde14a0bae62ca34f1d
Fixes: #44520
Releases: master, 2.0

Revision 29513521 - 2013-03-20 16:20 - Karsten Dambekalns

[BUGFIX] Implement case-sensitivity switch for Query::equals()

That was left as a todo and never done. Now it is possible to check
case-insensitive. Checking case-sensitive works depending on database
support, it can only be done if the database allows for case-sensitive
checking.

The change also trivially solves a todo about NULL checking in equals().

Change-Id: I50d3f31f8ad528d558febfde14a0bae62ca34f1d
Fixes: #44520
Releases: master, 2.0

History
#1 - 2013-01-14 21:29 - Karsten Dambekalns
- Status changed from Accepted to Under Review
See https://review.typo3.org/17525

#2 - 2013-03-20 16:21 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19091

#3 - 2013-03-20 16:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2951352155ba0842c1f4276ca5200f04abd66cd0.

#4 - 2013-11-29 19:33 - Kim Lang

The like Function is also affected.

#5 - 2013-12-04 08:47 - Karsten Dambekalns

Kim Lang wrote:

The like Function is also affected.

See https://review.typo3.org/24368 for a change that fixes this.
